## org.jfree.report.flow
Class DefaultFlowController

    java.lang.Object
      org.jfree.report.flow.DefaultFlowController

All Implemented Interfaces:
  FlowController

    public class DefaultFlowController

extends java.lang.Object
implements FlowController

Creation-Date: 20.02.2006, 15:30:21

Author:
  Thomas Morgner

Constructor Summary
`protected` `DefaultFlowController(DefaultFlowController fc, GlobalMasterRow dataRow)`
`` `DefaultFlowController(ReportContext reportContext, ReportJob job)`

Method Summary
`FlowController` `activateExpressions(ExpressionSlot[] expressions)` Activates expressions that compute running values.
`FlowController` `createPrecomputeInstance()`
`FlowController` `deactivateExpressions()`
`ExpressionSlot[]` `getActiveExpressions()` Returns the current expression slots of all currently active expressions.
`java.lang.String` `getExportDescriptor()`
`GlobalMasterRow` `getMasterRow()`
`PrecomputedValueRegistry` `getPrecomputedValueRegistry()`
`ReportContext` `getReportContext()`
`ReportJob` `getReportJob()`
`boolean` `isAdvanceRequested()`
`FlowController` `performOperation(FlowControlOperation operation)`
`FlowController` `performQuery(java.lang.String query)` This should be called only once per report processing.
`FlowController` `performReturnFromQuery()`
`FlowController` `performSubReportQuery(java.lang.String query, ParameterMapping[] inputParameters, ParameterMapping[] outputParameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFlowController

    public DefaultFlowController(ReportContext reportContext,
                                 ReportJob job)
                          throws DataSourceException

Throws:
  `DataSourceException`

### DefaultFlowController

    protected DefaultFlowController(DefaultFlowController fc,
                                    GlobalMasterRow dataRow)

Method Detail

### performOperation

    public FlowController performOperation(FlowControlOperation operation)
                                    throws DataSourceException

  Specified by:
    `performOperation` in interface `FlowController`
  Throws:
    `DataSourceException`

### getMasterRow

    public GlobalMasterRow getMasterRow()

  Specified by:
    `getMasterRow` in interface `FlowController`

### isAdvanceRequested

    public boolean isAdvanceRequested()

  Specified by:
    `isAdvanceRequested` in interface `FlowController`

### performQuery

    public FlowController performQuery(java.lang.String query)
                                throws ReportDataFactoryException,
                                       DataSourceException

  This should be called only once per report processing. A JFreeReport object defines the global master report - all other reports are subreport instances.

  The global master report receives its parameter set from the Job-Definition, while subreports will read their parameters from the current datarow state.

  Specified by:
    `performQuery` in interface `FlowController`
  Parameters:
    `query` -
  Returns:
  Throws:
    `ReportDataFactoryException`
    `DataSourceException`

### performSubReportQuery

    public FlowController performSubReportQuery(java.lang.String query,
                                                ParameterMapping[] inputParameters,
                                                ParameterMapping[] outputParameters)
                                         throws ReportDataFactoryException,
                                                DataSourceException

  Specified by:
    `performSubReportQuery` in interface `FlowController`
  Throws:
    `ReportDataFactoryException`
    `DataSourceException`

### activateExpressions

    public FlowController activateExpressions(ExpressionSlot[] expressions)
                                       throws DataSourceException

  Description copied from interface: `FlowController`
  Activates expressions that compute running values. This does not activate precomputed expressions.

  Specified by:
    `activateExpressions` in interface `FlowController`
  Returns:
  Throws:
    `DataSourceException`

### deactivateExpressions

    public FlowController deactivateExpressions()
                                         throws DataSourceException

  Specified by:
    `deactivateExpressions` in interface `FlowController`
  Throws:
    `DataSourceException`

### performReturnFromQuery

    public FlowController performReturnFromQuery()
                                          throws DataSourceException

  Specified by:
    `performReturnFromQuery` in interface `FlowController`
  Throws:
    `DataSourceException`

### getReportJob

    public ReportJob getReportJob()

  Specified by:
    `getReportJob` in interface `FlowController`

### getExportDescriptor

    public java.lang.String getExportDescriptor()

  Specified by:
    `getExportDescriptor` in interface `FlowController`

### getReportContext

    public ReportContext getReportContext()

  Specified by:
    `getReportContext` in interface `FlowController`

### getActiveExpressions

    public ExpressionSlot[] getActiveExpressions()
                                          throws DataSourceException

  Returns the current expression slots of all currently active expressions.

  Specified by:
    `getActiveExpressions` in interface `FlowController`
  Returns:
  Throws:
    `DataSourceException`

### createPrecomputeInstance

    public FlowController createPrecomputeInstance()
                                            throws DataSourceException

  Specified by:
    `createPrecomputeInstance` in interface `FlowController`
  Throws:
    `DataSourceException`

### getPrecomputedValueRegistry

    public PrecomputedValueRegistry getPrecomputedValueRegistry()

  Specified by:
    `getPrecomputedValueRegistry` in interface `FlowController`